petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionSetSym

Set the symmetries for the data referred to by the section

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetSym(PetscSection section, PetscSectionSym sym)

Collective on PetscSection

### Input Parameters

| section | - the section describing data layout
| sym | - the symmetry describing the affect of orientation on the access of the data

### See Also

PetscSectionGetSym(), PetscSectionSymCreate()

### Level

developer

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages